Bug 947492

Summary: Review Request: luakit - Extremely fast, lightweight and flexible vi-like web browser
Product: [Fedora] Fedora Reporter: Lokesh Mandvekar <lsm5>
Component: Package ReviewAssignee: T.C. Hollingsworth <tchollingsworth>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: i, jkeck, lsm5, notting, orion, tchollingsworth
Target Milestone: ---Flags: tchollingsworth: fedora‑review?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-10 15:00:10 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Lokesh Mandvekar 2013-04-02 10:53:47 EDT
Spec URL: https://github.com/lsm5/rpmbuild/blob/master/SPECS/luakit.spec

SRPM URL: https://github.com/lsm5/rpmbuild/blob/master/SRPMS/luakit-2012.09.13-1.fc18.src.rpm

Description: Luakit is an extremely fast, lightweight and flexible web browser using the webkit engine. It is customizable through lua scripts and fully usable with keyboard shortcuts.

This is my second package, and I need a sponsor.

Deprecation History: http://pkgs.fedoraproject.org/cgit/luakit.git/

Project Status: The project is still alive, and the developer has responsive to issues https://github.com/mason-larobina/luakit/issues/190

Fedora Account System Username: lsm5

Successful Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5198521

$ rpmlint luakit.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ../SRPMS/luakit-2012.09.13-1.fc18.src.rpm
luakit.src: W: spelling-error %description -l en_US webkit -> web kit, web-kit, website
luakit.src: W: spelling-error %description -l en_US customizable -> customization
luakit.src: W: spelling-error %description -l en_US lua -> la, luau, lea
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint ../RPMS/x86_64/luakit-2012.09.13-1.fc18.x86_64.rpm
luakit.x86_64: W: spelling-error %description -l en_US webkit -> web kit, web-kit, website
luakit.x86_64: W: spelling-error %description -l en_US customizable -> customization
luakit.x86_64: W: spelling-error %description -l en_US lua -> la, luau, lea
luakit.x86_64: W: non-conffile-in-etc /etc/xdg/luakit/theme.lua
luakit.x86_64: W: non-conffile-in-etc /etc/xdg/luakit/modes.lua
luakit.x86_64: W: non-conffile-in-etc /etc/xdg/luakit/globals.lua
luakit.x86_64: W: non-conffile-in-etc /etc/xdg/luakit/binds.lua
luakit.x86_64: W: non-conffile-in-etc /etc/xdg/luakit/window.lua
luakit.x86_64: W: non-conffile-in-etc /etc/xdg/luakit/webview.lua
luakit.x86_64: E: non-executable-script /usr/share/luakit/lib/markdown.lua 0644L /usr/bin/env
luakit.x86_64: W: non-conffile-in-etc /etc/xdg/luakit/rc.lua
1 packages and 0 specfiles checked; 1 errors, 10 warnings.
Comment 1 Orion Poplawski 2013-04-07 11:39:32 EDT
- These spelling "errors" can be ignored.
- Are the files in /etc/xdg/luakit expected to modified to configure luakit?  If so, they need to be marked:

%config(noreplace)

in %files.  If not, they need to go elsewhere.

- See rpmlint -I for more information on the errors and in particular how to fix the non-executable-script error.
Comment 2 Lokesh Mandvekar 2013-04-18 14:13:06 EDT
Orion,
Thanks. Updates follow:

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/luakit.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/luakit-2012.09.13-4.fc20.src.rpm

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5272140

$ rpmlint SPECS/luakit.spec      
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint SRPMS/luakit-2012.09.13-4.fc20.src.rpm 
luakit.src: W: spelling-error %description -l en_US webkit -> web kit, web-kit, website
luakit.src: W: spelling-error %description -l en_US customizable -> customization
luakit.src: W: spelling-error %description -l en_US lua -> la, luau, lea
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint RPMS/x86_64/luakit-2012.09.13-4.fc20.x86_64.rpm 
luakit.x86_64: W: spelling-error %description -l en_US webkit -> web kit, web-kit, website
luakit.x86_64: W: spelling-error %description -l en_US customizable -> customization
luakit.x86_64: W: spelling-error %description -l en_US lua -> la, luau, lea
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 3 Lokesh Mandvekar 2013-04-18 14:19:12 EDT
Update since Comment 1: I have been sponsored by spot.
Comment 4 T.C. Hollingsworth 2013-04-19 01:57:41 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


==== Issues ====

[!]: `make install` installs a .desktop file but desktop-file-validate is not
     run in %check.
     
     Please run desktop-file-validate in %check.  For more information, see:
     http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage

[!]: The License tag is strictly "GPLv3" even though it appears it should be
     "GPLv3+".
     
     Are you sure later versions of the GPL may not be used?

[!]: The $PREFIX is hardcoded.

     Please use %{_prefix} instead.
     
[!]: The distribution-wide compiler flags are not used.

     Please make sure %{optflags} are added to the compiler flags used by this
     package.

[!]: This package contains tests, but they are not run in %check.

     Please run the tests in %check, or justify why they cannot be run in a
     comment (e.g. if they require network/Internet).
     
===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[!]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or generated". 3 files
     have unknown license. Detailed output of licensecheck in
     /home/fedora/patches/FedoraReview/947492-luakit/licensecheck.txt
[!]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
     Note: A package already exist with this name, please check
     https://admin.fedoraproject.org/pkgdb/acls/name/luakit
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (2012.09.13.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: luakit-2012.09.13-4.fc20.x86_64.rpm
          luakit-2012.09.13-4.fc20.src.rpm
          luakit-debuginfo-2012.09.13-4.fc20.x86_64.rpm
luakit.x86_64: W: spelling-error %description -l en_US webkit -> web kit, web-kit, website
luakit.x86_64: W: spelling-error %description -l en_US customizable -> customization
luakit.x86_64: W: spelling-error %description -l en_US lua -> la, luau, lea
luakit.src: W: spelling-error %description -l en_US webkit -> web kit, web-kit, website
luakit.src: W: spelling-error %description -l en_US customizable -> customization
luakit.src: W: spelling-error %description -l en_US lua -> la, luau, lea
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

OK


Rpmlint (installed packages)
----------------------------
# rpmlint luakit luakit-debuginfo
luakit.x86_64: W: spelling-error %description -l en_US webkit -> web kit, web-kit, website
luakit.x86_64: W: spelling-error %description -l en_US customizable -> customization
luakit.x86_64: W: spelling-error %description -l en_US lua -> la, luau, lea
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'

OK

Requires
--------
luakit-2012.09.13-4.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/env
    config(luakit) = 2012.09.13-4.fc20
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libdl.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libjavascriptcoregtk-1.0.so.0()(64bit)
    liblua-5.1.so()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libsoup-2.4.so.1()(64bit)
    libsqlite3.so.0()(64bit)
    libunique-1.0.so.0()(64bit)
    libwebkitgtk-1.0.so.0()(64bit)
    rtld(GNU_HASH)

luakit-debuginfo-2012.09.13-4.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    
OK


Provides
--------
luakit-2012.09.13-4.fc20.x86_64.rpm:
    
    config(luakit) = 2012.09.13-4.fc20
    luakit = 2012.09.13-4.fc20
    luakit(x86-64) = 2012.09.13-4.fc20
    mimehandler(application/xhtml+xml)
    mimehandler(text/html)
    mimehandler(text/xml)

luakit-debuginfo-2012.09.13-4.fc20.x86_64.rpm:
    
    luakit-debuginfo = 2012.09.13-4.fc20
    luakit-debuginfo(x86-64) = 2012.09.13-4.fc20

OK

MD5-sum check
-------------
https://github.com/mason-larobina/luakit/archive/2012.09.13.tar.gz :
  CHECKSUM(SHA256) this package     : c6027eb77ce2dc0b350d18cb01e8bb18948dc7a644f58e4461a7cafdc1065c96
  CHECKSUM(SHA256) upstream package : c6027eb77ce2dc0b350d18cb01e8bb18948dc7a644f58e4461a7cafdc1065c96

OK

Generated by fedora-review 0.3.1 (f4bc12d) last change: 2012-10-16
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b947492
Comment 5 Christopher Meng 2013-11-10 04:24:35 EST
ping!
Comment 6 Lokesh Mandvekar 2013-11-10 12:15:47 EST
Hi Christopher,

looks like upstream is kinda dormant on this, last commit seems to be about 10 months ago https://github.com/mason-larobina/luakit, also I don't think I'll be using it anymore, so feel free to take this one.

Apologies to have left this hanging for so long.